- Qt 5.15
- Qt Core
- C++ Classes
- QDynamicPropertyChangeEvent
- Qt 5.15.19 Reference Documentation

# QDynamicPropertyChangeEvent Class

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events. More...

Header: | #include <QDynamicPropertyChangeEvent>
qmake: | QT += core
Since: | Qt 4.2
Inherits: | QEvent

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

| QDynamicPropertyChangeEvent(const QByteArray &name)
QByteArray | propertyName() const

## Detailed Description

Dynamic property change events are sent to objects when properties are dynamically added, changed or removed using QObject::setProperty().

## Member Function Documentation

### QDynamicPropertyChangeEvent::QDynamicPropertyChangeEvent(const QByteArray &name)

Constructs a dynamic property change event object with the property name set to name.

### QByteArray QDynamicPropertyChangeEvent::propertyName() const

Returns the name of the dynamic property that was added, changed or removed.

See also QObject::setProperty() and QObject::dynamicPropertyNames().